Subject: Re: [PATCH] services: xorg: Add xorg-start-command-xinit procedure.

From: Tomas Volf <[email-masked]>
Date: Thu, 30 May 2024 20:27:10 +0200

Hello,

On 2024-05-30 18:33:35 +0100, Arun Isaac wrote:
>
> Hi all,
>
> Thanks, Tomas for the patchset! And, thanks, Fabio and Ludo for
> reviewing it!
>
> I have pushed patch 1 with a few minor improvements.

Thank you for taking the time to merge this, all your changes look good :)

> Could you please add some documentation to the manual in patches 2 and 3 for
> the services added therein? Thanks! Once that's done, please send me an
> updated patchset and I'll push.

I have sent v3 containing just the two later patches.  I sent it to this issue
and also took the liberty of CC-ing you directly per the text above.  Hope it is
what you have imagined.

Uff, only now I realize I forgot to update the commit messages :/.  I will sent
v4.

>
> The changes I made to patch 1 are as follows:
> - I tweaked capture-stdout a little to use zero? and print out the
>   failing command.
> - In the documentation, I removed the part about the convenience
>   link. Since we will have dedicated system and home services for this,
>   it would be better to refer to those instead.
>
> Regards,
> Arun

Have a nice day,
Tomas Volf

--
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.